[rspec-users] [Cucumber] running `cucumber` without a gem

David Chelimsky dchelimsky at gmail.com
Fri Feb 13 10:28:00 EST 2009


On Fri, Feb 13, 2009 at 6:23 AM, Bart Zonneveld <zuperinfinite at gmail.com> wrote:
>
> On 13 feb 2009, at 12:14, David Chelimsky wrote:
>
>> On Fri, Feb 13, 2009 at 4:47 AM, Bart Zonneveld <zuperinfinite at gmail.com>
>> wrote:
>>>
>>> Hey list,
>>>
>>> I have a test server, which doesn't have cucumber as gem, so I unpacked
>>> it
>>> into vendor/gems. After some fiddling with load paths, it works.
>>> However, the "binary" cucumber command won't run, since it needs the
>>> cucumber gem. I tried adjusting that file to actually use the unpacked
>>> gem,
>>> but I can't get it to work. What I have now is
>>> http://gist.github.com/63844
>>
>> I haven't tried this, but take a peek at http://gist.github.com/63853
>>
>> The path should include 'lib', and you shouldn't need the other
>> version resolution stuff.
>
> Alas, that didn't work. See http://gist.github.com/63874

try "load 'cucumber.rb"

>
> thanks so far!
> bartz
> _______________________________________________
> rspec-users mailing list
> rspec-users at rubyforge.org
> http://rubyforge.org/mailman/listinfo/rspec-users
>


More information about the rspec-users mailing list